from abc import ABC, abstractmethod

from discord.ext.commands import Context


class ClientUtilsServiceABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def received_command(self, guild_id: int): pass

    @abstractmethod
    def moved_user(self, guild_id: int): pass

    @abstractmethod
    def get_client(self, dc_ic: int, guild_id: int): pass

    @abstractmethod
    async def check_if_bot_is_ready_yet(self) -> bool: pass

    @abstractmethod
    async def check_if_bot_is_ready_yet_and_respond(self, ctx: Context) -> bool: pass

    @abstractmethod
    async def presence_game(self, t_key: str): pass
